<template>
  <Modal
    :show="show"
    title="Are you sure?"
    hide-footer
    hide-header
    content-class="modal_disabled_countries"
    size="md"
    centered
    @close="$emit('close')"
  >
    <div class="wrapper">
     You disabled sending SMS to {{countries.join(', ')}}. Are you sure to send this test SMS to this {{countries.length == 1 ? 'country' : 'countries'}}?
    </div>
    <div class="footer"> 
      <b-button variant="primary" class="btn-secondary  btn_cancel" @click="$emit('close')">Cancel</b-button>
      <b-button variant="primary" class="btn-blue btn_save" :class="{'loading-xs': loading}" @click="$emit('confirm'), loading=true">
        <template v-if="!loading">Confirm</template>
      </b-button>
    </div>
  </Modal>
</template>

<script>
import Modal from "@/components/elements/Modal.vue";
import Countries from "@/components/elements/Countries";
import InputWithIcon from "@/components/elements/InputWithIcon";

export default {
  props: {
    show: {
      type: Boolean,
      default: false,
    },
    countries: {
      type: Array,
    },
  },
  data() {
    return {
      loading: false,
    }
  },
  components: {
    Modal,
  },
  methods: {
    stopLoading() {
      this.loading = false
    }
  }
};
</script>

<style lang="scss" scoped>
.footer {
  padding-top: 10px;
  display: flex;
  justify-content: flex-end;
  width: 100%;
}
</style>

<style lang="scss">
.modal-dialog-centered {
  justify-content: center;
}
.modal_disabled_countries {
    width: 324px;
    min-height: 160px;
    .modal-popup-body {
      padding: 11px 16px 10px 16px;  
    }
    .popup-header-text {
        font-weight: 400;
        font-size: 24px;
        line-height: 28px;
        padding-top: 12px;
    }
    .input_blue {
        max-height: 40px !important;
    }
    .btn_cancel {
      margin-right: 10px;
    }
    .btn_save {
      min-width: 73px;
    }
}
</style>